"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PropTypes = tslib_1.__importStar(require("prop-types"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var Provider_1 = tslib_1.__importDefault(require("./Provider"));
var SLightbox = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  transition: opacity 0.1s ease-in-out;\n  text-align: center;\n  position: fixed;\n  width: 100vw;\n  height: 100vh;\n  margin-left: -50vw;\n  top: ", ";\n  left: 50%;\n  z-index: 2;\n  will-change: opacity;\n  background-color: ", ";\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  & * {\n    box-sizing: border-box !important;\n  }\n"], ["\n  transition: opacity 0.1s ease-in-out;\n  text-align: center;\n  position: fixed;\n  width: 100vw;\n  height: 100vh;\n  margin-left: -50vw;\n  top: ", ";\n  left: 50%;\n  z-index: 2;\n  will-change: opacity;\n  background-color: ",
    ";\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  & * {\n    box-sizing: border-box !important;\n  }\n"])), function (_a) {
    var offset = _a.offset;
    return (offset ? "-" + offset + "px" : 0);
}, function (_a) {
    var opacity = _a.opacity;
    var alpha = 0.4;
    if (typeof opacity === "number") {
        alpha = opacity;
    }
    return "rgba(0, 0, 0, " + alpha + ")";
}, function (_a) {
    var show = _a.show;
    return (show ? 1 : 0);
}, function (_a) {
    var show = _a.show;
    return (show ? "visible" : "hidden");
}, function (_a) {
    var show = _a.show;
    return (show ? "auto" : "none");
});
var SModalContainer = styled_components_1.default.div(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  height: 100%;\n  padding: 15px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n"], ["\n  position: relative;\n  width: 100%;\n  height: 100%;\n  padding: 15px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n"])), function (_a) {
    var show = _a.show;
    return (show ? 1 : 0);
}, function (_a) {
    var show = _a.show;
    return (show ? "visible" : "hidden");
}, function (_a) {
    var show = _a.show;
    return (show ? "auto" : "none");
});
var SHitbox = styled_components_1.default.div(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n"])));
var SModalCard = styled_components_1.default.div(templateObject_4 || (templateObject_4 = tslib_1.__makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  background-color: rgb(255, 255, 255);\n  border-radius: 12px;\n  margin: 10px;\n  padding: 0;\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n\n  display: grid;\n  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));\n  max-width: ", ";\n  min-width: fit-content;\n\n  @media screen and (max-width: 768px) {\n    max-width: ", ";\n  }\n"], ["\n  position: relative;\n  width: 100%;\n  background-color: rgb(255, 255, 255);\n  border-radius: 12px;\n  margin: 10px;\n  padding: 0;\n  opacity: ", ";\n  visibility: ", ";\n  pointer-events: ", ";\n\n  display: grid;\n  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));\n  max-width: ", ";\n  min-width: fit-content;\n\n  @media screen and (max-width: 768px) {\n    max-width: ", ";\n  }\n"])), function (_a) {
    var show = _a.show;
    return (show ? 1 : 0);
}, function (_a) {
    var show = _a.show;
    return (show ? "visible" : "hidden");
}, function (_a) {
    var show = _a.show;
    return (show ? "auto" : "none");
}, function (_a) {
    var maxWidth = _a.maxWidth;
    return (maxWidth ? maxWidth + "px" : "800px");
}, function (_a) {
    var maxWidth = _a.maxWidth;
    return (maxWidth ? maxWidth + "px" : "500px");
});
var INITIAL_STATE = {
    show: false,
    lightboxOffset: 0
};
var Modal = /** @class */ (function (_super) {
    tslib_1.__extends(Modal, _super);
    function Modal(props) {
        var _this = _super.call(this, props) || this;
        _this.state = tslib_1.__assign({}, INITIAL_STATE);
        _this.render = function () {
            var _a = _this.state, show = _a.show, lightboxOffset = _a.lightboxOffset;
            var _b = _this.props, onClose = _b.onClose, lightboxOpacity = _b.lightboxOpacity, providers = _b.providers;
            return (React.createElement(SLightbox, { offset: lightboxOffset, opacity: lightboxOpacity, ref: function (c) { return (_this.lightboxRef = c); }, show: show },
                React.createElement(SModalContainer, { show: show },
                    React.createElement(SHitbox, { onClick: onClose }),
                    React.createElement(SModalCard, { show: show, maxWidth: providers.length < 3 ? 500 : 800, ref: function (c) { return (_this.mainModalCard = c); } }, providers.map(function (provider) {
                        return !!provider ? (React.createElement(Provider_1.default, { name: provider.name, onClick: provider.onClick })) : null;
                    })))));
        };
        window.updateWeb3ConnectModal = function (state) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.setState(state);
                return [2 /*return*/];
            });
        }); };
        return _this;
    }
    Modal.prototype.componentDidUpdate = function (prevProps, prevState) {
        if (prevState.show && !this.state.show) {
            this.props.resetState();
        }
        if (this.lightboxRef) {
            var lightboxRect = this.lightboxRef.getBoundingClientRect();
            var lightboxOffset = lightboxRect.top > 0 ? lightboxRect.top : 0;
            if (lightboxOffset !== INITIAL_STATE.lightboxOffset &&
                lightboxOffset !== this.state.lightboxOffset) {
                this.setState({ lightboxOffset: lightboxOffset });
            }
        }
    };
    Modal.propTypes = {
        providers: PropTypes.object.isRequired,
        onClose: PropTypes.func.isRequired,
        resetState: PropTypes.func.isRequired,
        lightboxOpacity: PropTypes.number.isRequired
    };
    return Modal;
}(React.Component));
exports.default = Modal;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Modal.js.map