"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var utils_1 = require("../helpers/utils");
var common_1 = require("./common");
var SProviderContainer = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  transition: background-color 0.2s ease-in-out;\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  background-color: rgb(255, 255, 255);\n  border-radius: 12px;\n  padding: 24px 16px;\n  @media screen and (max-width: 768px) {\n    padding: 12px;\n  }\n"], ["\n  transition: background-color 0.2s ease-in-out;\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  background-color: rgb(255, 255, 255);\n  border-radius: 12px;\n  padding: 24px 16px;\n  @media screen and (max-width: 768px) {\n    padding: 12px;\n  }\n"])));
var SName = styled_components_1.default(common_1.STitle)(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n  color: rgb(12, 12, 13);\n"], ["\n  color: rgb(12, 12, 13);\n"])));
var SProvider = styled_components_1.default.div(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n  width: 100%;\n  padding: 8px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  flex-direction: column;\n  cursor: pointer;\n  border-radius: 0;\n  border: 1px solid rgba(195, 195, 195, 0.14);\n  @media (hover: hover) {\n    &:hover ", " {\n      background-color: rgba(195, 195, 195, 0.14);\n    }\n  }\n"], ["\n  width: 100%;\n  padding: 8px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  flex-direction: column;\n  cursor: pointer;\n  border-radius: 0;\n  border: 1px solid rgba(195, 195, 195, 0.14);\n  @media (hover: hover) {\n    &:hover ", " {\n      background-color: rgba(195, 195, 195, 0.14);\n    }\n  }\n"])), SProviderContainer);
var Provider = function (props) {
    var name = props.name, onClick = props.onClick, otherProps = tslib_1.__rest(props, ["name", "onClick"]);
    var providerInfo = utils_1.getProviderInfoByName(name);
    var description = utils_1.formatProviderDescription(providerInfo);
    return (React.createElement(SProvider, tslib_1.__assign({ onClick: onClick }, otherProps),
        React.createElement(SProviderContainer, null,
            React.createElement(common_1.SIcon, { noShadow: providerInfo.styled.noShadow },
                React.createElement("img", { src: providerInfo.logo, alt: providerInfo.name })),
            React.createElement(SName, null, providerInfo.name),
            React.createElement(common_1.SDescription, null, description))));
};
exports.default = Provider;
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=Provider.js.map