"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var utils_1 = require("../../helpers/utils");
var providers_1 = require("../../providers");
function getChainId(network) {
    var infuraChainIds = {
        mainnet: 1,
        ropsten: 3,
        rinkeby: 4,
        goerli: 5,
        kovan: 42
    };
    var chainId = infuraChainIds[network];
    if (!chainId) {
        throw new Error("Invalid or unknown chainId for network=" + network);
    }
    return chainId;
}
var ConnectToWalletConnect = function (opts) {
    var WalletConnectProvider = yield utils_1.importProviderPackage(providers_1.providerPackages.walletconnect.name);
    return new Promise(function (resolve, reject) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var bridge, qrcode, infuraId, chainId, provider;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    bridge = "https://bridge.walletconnect.org";
                    qrcode = true;
                    infuraId = "";
                    chainId = 1;
                    if (opts) {
                        bridge = opts.bridge || bridge;
                        qrcode = typeof opts.qrcode !== "undefined" ? opts.qrcode : qrcode;
                        infuraId = opts.infuraId || "";
                        chainId = opts.network ? getChainId(opts.network) : 1;
                    }
                    provider = new WalletConnectProvider({
                        bridge: bridge,
                        qrcode: qrcode,
                        infuraId: infuraId,
                        chainId: chainId
                    });
                    return [4 /*yield*/, provider.enable()];
                case 1:
                    _a.sent();
                    resolve(provider);
                    return [2 /*return*/];
            }
        });
    }); });
};
exports.default = ConnectToWalletConnect;
//# sourceMappingURL=walletconnect.js.map