"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// -- EventManager --------------------------------------------------------- //
var EventManager = /** @class */ (function () {
    function EventManager() {
        this._eventCallbacks = [];
    }
    EventManager.prototype.on = function (eventCallback) {
        this._eventCallbacks.push(eventCallback);
    };
    EventManager.prototype.trigger = function (event, result) {
        var eventCallbacks = this._eventCallbacks.filter(function (eventCallback) { return eventCallback.event === event; });
        if (eventCallbacks && eventCallbacks.length) {
            eventCallbacks.forEach(function (eventCallback) {
                eventCallback.callback(result);
            });
        }
    };
    return EventManager;
}());
exports.default = EventManager;
//# sourceMappingURL=events.js.map