"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
// @ts-ignore
var web3_default_svg_1 = tslib_1.__importDefault(require("../assets/web3-default.svg"));
// @ts-ignore
var walletconnect_circle_svg_1 = tslib_1.__importDefault(require("../assets/walletconnect-circle.svg"));
// @ts-ignore
var metamask_svg_1 = tslib_1.__importDefault(require("../assets/metamask.svg"));
// @ts-ignore
var safe_svg_1 = tslib_1.__importDefault(require("../assets/safe.svg"));
// @ts-ignore
var niftyWallet_png_1 = tslib_1.__importDefault(require("../assets/niftyWallet.png"));
// @ts-ignore
var portis_svg_1 = tslib_1.__importDefault(require("../assets/portis.svg"));
// @ts-ignore
var squarelink_svg_1 = tslib_1.__importDefault(require("../assets/squarelink.svg"));
// @ts-ignore
var fortmatic_svg_1 = tslib_1.__importDefault(require("../assets/fortmatic.svg"));
// @ts-ignore
var trust_svg_1 = tslib_1.__importDefault(require("../assets/trust.svg"));
// @ts-ignore
var dapper_png_1 = tslib_1.__importDefault(require("../assets/dapper.png"));
// @ts-ignore
var coinbase_svg_1 = tslib_1.__importDefault(require("../assets/coinbase.svg"));
// @ts-ignore
var cipher_svg_1 = tslib_1.__importDefault(require("../assets/cipher.svg"));
// @ts-ignore
var imtoken_svg_1 = tslib_1.__importDefault(require("../assets/imtoken.svg"));
// @ts-ignore
var status_svg_1 = tslib_1.__importDefault(require("../assets/status.svg"));
// @ts-ignore
var tokenary_png_1 = tslib_1.__importDefault(require("../assets/tokenary.png"));
// @ts-ignore
var opera_svg_1 = tslib_1.__importDefault(require("../assets/opera.svg"));
exports.providerPackages = {
    fortmatic: {
        name: "fortmatic",
        option: "fortmatic",
        required: ["key"]
    },
    squarelink: {
        name: "squarelink",
        option: "squarelink",
        required: ["id"]
    },
    portis: {
        name: "@portis/web3",
        option: "portis",
        required: ["id"]
    },
    walletconnect: {
        name: "@walletconnect/web3-provider",
        option: "walletconnect",
        required: ["infuraId"]
    }
};
exports.fallbackProvider = {
    name: "Web3",
    logo: web3_default_svg_1.default,
    type: "injected",
    check: "isWeb3",
    styled: {
        noShadow: false
    }
};
var providers = [
    exports.fallbackProvider,
    {
        name: "WalletConnect",
        logo: walletconnect_circle_svg_1.default,
        type: "qrcode",
        check: "isWalletConnect",
        styled: {
            noShadow: false
        }
    },
    {
        name: "MetaMask",
        logo: metamask_svg_1.default,
        type: "injected",
        check: "isMetaMask",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Safe",
        logo: safe_svg_1.default,
        type: "injected",
        check: "isSafe",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Nifty",
        logo: niftyWallet_png_1.default,
        type: "injected",
        check: "isNiftyWallet",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Squarelink",
        logo: squarelink_svg_1.default,
        type: "web",
        check: "isSquarelink",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Portis",
        logo: portis_svg_1.default,
        type: "web",
        check: "isPortis",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Fortmatic",
        logo: fortmatic_svg_1.default,
        type: "web",
        check: "isFortmatic",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Dapper",
        logo: dapper_png_1.default,
        type: "injected",
        check: "isDapper",
        styled: {
            noShadow: true
        }
    },
    {
        name: "Opera",
        logo: opera_svg_1.default,
        type: "injected",
        check: "isOpera",
        styled: {
            noShadow: false
        }
    },
    {
        name: "Trust",
        logo: trust_svg_1.default,
        type: "injected",
        check: "isTrust",
        styled: {
            noShadow: false
        }
    },
    {
        name: "Coinbase",
        logo: coinbase_svg_1.default,
        type: "injected",
        check: "isToshi",
        styled: {
            noShadow: false
        }
    },
    {
        name: "Cipher",
        logo: cipher_svg_1.default,
        type: "injected",
        check: "isCipher",
        styled: {
            noShadow: false
        }
    },
    {
        name: "imToken",
        logo: imtoken_svg_1.default,
        type: "injected",
        check: "isImToken",
        styled: {
            noShadow: false
        }
    },
    {
        name: "Status",
        logo: status_svg_1.default,
        type: "injected",
        check: "isStatus",
        styled: {
            noShadow: false
        }
    },
    {
        name: "Tokenary",
        logo: tokenary_png_1.default,
        type: "injected",
        check: "isTokenary",
        styled: {
            noShadow: false
        }
    }
];
exports.default = providers;
//# sourceMappingURL=index.js.map